searchData={"items":[{"type":"module","title":"Foresight","doc":"Documentation for `Foresight`.","ref":"Foresight.html"},{"type":"function","title":"Foresight.get_meta_tags!/1","doc":"","ref":"Foresight.html#get_meta_tags!/1"},{"type":"function","title":"Foresight.get_page/2","doc":"Get a page struct if the URL is a real website.","ref":"Foresight.html#get_page/2"},{"type":"function","title":"Examples - Foresight.get_page/2","doc":"iex> Foresight.get_page(\"https://google.com\")\n  {:ok,\n    %Foresight.Page{\n      description: \"Hurra for Halloween 2020! #GoogleDoodle\",\n      image: \"https://www.google.com/logos/doodles/2020/halloween-2020-6753651837108597.5-2xa.gif\",\n      title: \"Google\",\n      url: \"https://google.com\"\n    }\n  }","ref":"Foresight.html#get_page/2-examples"},{"type":"function","title":"Foresight.get_page!/2","doc":"Get a page struct if the URL is a real website, otherwise return error.","ref":"Foresight.html#get_page!/2"},{"type":"function","title":"Examples - Foresight.get_page!/2","doc":"iex> Foresight.get_page(\"https://google.com\")\n  %Foresight.Page{\n    description: \"Hurra for Halloween 2020! #GoogleDoodle\",\n    image: \"https://www.google.com/logos/doodles/2020/halloween-2020-6753651837108597.5-2xa.gif\",\n    title: \"Google\",\n    url: \"https://google.com\"\n  }","ref":"Foresight.html#get_page!/2-examples"},{"type":"module","title":"Foresight.HTML","doc":"This module contains functions to fetch HTML documents.","ref":"Foresight.HTML.html"},{"type":"function","title":"Foresight.HTML.get_body/1","doc":"Takes a `%HTTPoison.Response{}` and returns the `body`, otherwise `nil`","ref":"Foresight.HTML.html#get_body/1"},{"type":"function","title":"Foresight.HTML.get_html/1","doc":"Takes a URL and returns the HTML document if found.","ref":"Foresight.HTML.html#get_html/1"},{"type":"function","title":"Foresight.HTML.get_url/1","doc":"Takes a URL, and returns a `{:ok, %HTTPoison.Response{}}` tuple, or `{:error, reason}` if something goes wrong.\nIt follows redirects to a maximum of 5 in total. This is necessary on e.g. `https://google.com`","ref":"Foresight.HTML.html#get_url/1"},{"type":"function","title":"Foresight.HTML.get_url!/1","doc":"Bang! version of get_url\nTakes a URL, and returns a %HTTPoison.Response{} or throws an error.\nIt follows redirects to a maximum of 5 in total. This is necessary on e.g. `https://google.com`","ref":"Foresight.HTML.html#get_url!/1"},{"type":"module","title":"Foresight.Page","doc":"A struct to hold page meta data.\n\nThe `%Page{}` struct is used to structure the meta data from the parsing process.","ref":"Foresight.Page.html"},{"type":"module","title":"Foresight.Parser","doc":"A parser to get meta information","ref":"Foresight.Parser.html"},{"type":"function","title":"Foresight.Parser.build_page/2","doc":"","ref":"Foresight.Parser.html#build_page/2"},{"type":"function","title":"Foresight.Parser.get_meta_tags/1","doc":"A context function to get all   tags from the raw html body","ref":"Foresight.Parser.html#get_meta_tags/1"},{"type":"function","title":"Foresight.Parser.parse_document/3","doc":"Parse the given fields from a document, and put the results on the %Page{}","ref":"Foresight.Parser.html#parse_document/3"},{"type":"module","title":"Foresight.Parser.Default","doc":"A parser to get the given field from a Floki document.\n\nThe Default parser current supports the following fields:\n`:description`, `:site_name` and `:type`.","ref":"Foresight.Parser.Default.html"},{"type":"function","title":"Foresight.Parser.Default.search_field/2","doc":"","ref":"Foresight.Parser.Default.html#search_field/2"},{"type":"module","title":"Foresight.Parser.Favicon","doc":"A parser to get favicons from the given html document","ref":"Foresight.Parser.Favicon.html"},{"type":"function","title":"Foresight.Parser.Favicon.search_favicon/2","doc":"","ref":"Foresight.Parser.Favicon.html#search_favicon/2"},{"type":"module","title":"Foresight.Parser.Helpers","doc":"A helper module for parsing urls and returning proper types","ref":"Foresight.Parser.Helpers.html"},{"type":"function","title":"Foresight.Parser.Helpers.find_tag/3","doc":"","ref":"Foresight.Parser.Helpers.html#find_tag/3"},{"type":"function","title":"Foresight.Parser.Helpers.parse_image_path/2","doc":"","ref":"Foresight.Parser.Helpers.html#parse_image_path/2"},{"type":"module","title":"Foresight.Parser.Image","doc":"A parser to get the image of a given html document","ref":"Foresight.Parser.Image.html"},{"type":"function","title":"Foresight.Parser.Image.search_image/2","doc":"","ref":"Foresight.Parser.Image.html#search_image/2"},{"type":"module","title":"Foresight.Parser.Title","doc":"A parser to get the title of a given html document","ref":"Foresight.Parser.Title.html"},{"type":"function","title":"Foresight.Parser.Title.search_title/1","doc":"","ref":"Foresight.Parser.Title.html#search_title/1"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}